<#
    Part of Onevinn AB Web Services (Samples)
    Version: 2.1
    Author: Johan Schrewelius
    Date: 2021-01-29
#>

. "./Configuration.ps1"

# Invoke Web Service

try {
    $groups = $zip.GetAllGroups($CompName, $CompUUID, $CompMAC, $IncludeComputerGroups, $IncludeUserApps)
    Write-Output "OnevinnWS 'GetAllGroups' was called for '$CompName'"
}
catch {
    Write-Output "$_.Exception.Message"
    #exit 1
}

# Create TS-Variables

$AppCount = 1

foreach ($group in $groups)
{
    if($group.desc -ne $null) {
        if ($group.desc.StartsWith($Prefix) -and $group.desc.EndsWith($InstallSuffix)) {

            if($RemovePrefix) {
                $TSVarVal = $group.desc.Remove(0, $Prefix.Length).TrimEnd($InstallSuffix)
            }
            else {
                $TSVarVal = $group.desc.TrimEnd($InstallSuffix)
            }

            $tsenv.Value("COALESCEDAPPS" + ($AppCount++).ToString("00")) = "$TSVarVal"
        }
    }
}
