<#
    Part of Onevinn AB Web Services (Samples)
    Version: 2.1
    Author: Johan Schrewelius
    Date: 2021-01-29
#>

. "$PSScriptRoot\Configuration.ps1"

$Out = $null

# Invoke Web Service

try
{
    $Out = $zip.GetAppGroupsAndLog($CompName, $Prefix, $InstallSuffix, $SiteCode, $RemovePrefix)
    Write-Output "OnevinnWS 'GetAppGroupsAndLog' was called for '$CompName'"
}
catch 
{
    Write-Output "$_.Exception.Message"
    exit 1
}

# Create TS-Variables

$AppCount = 1
$PkgCount = 1
$tsenv = New-Object -COMObject Microsoft.SMS.TSEnvironment

foreach ($s in $Out.Groups)
{
    if ($s.StartsWith($SiteCode))
    {
        $tsenv.Value("PACKAGES" + ($PkgCount++).ToString("000")) = "$s"
    }
    else
    {
        $tsenv.Value("COALESCEDAPPS" + ($AppCount++).ToString("00")) = "$s"
    }
}

$logname = ($MyInvocation.MyCommand.Name).Replace(".ps1", "")

if(!(Test-Path -Path "$env:TEMP\OnevinnWS")) {
    New-Item "$env:TEMP\OnevinnWS" -ItemType Directory
}

$Out.Log.Replace("|", "`r`n") | Out-File "$env:TEMP\OnevinnWS\$logname.log"

exit 0